Class: Aws::Route53::Types::ListTrafficPolicyVersionsResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::Route53::Types::ListTrafficPolicyVersionsResponse
- Defined in:
- gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb
Overview
A complex type that contains the response information for the request.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#is_truncated ⇒ Boolean
A flag that indicates whether there are more traffic policies to be listed.
-
#max_items ⇒ Integer
The value that you specified for the
maxitemsparameter in theListTrafficPolicyVersionsrequest that produced the current response. -
#traffic_policies ⇒ Array<Types::TrafficPolicy>
A list that contains one
TrafficPolicyelement for each traffic policy version that is associated with the specified traffic policy. -
#traffic_policy_version_marker ⇒ String
If
IsTruncatedistrue, the value ofTrafficPolicyVersionMarkeridentifies the first traffic policy that Amazon Route 53 will return if you submit another request.
Instance Attribute Details
#is_truncated ⇒ Boolean
A flag that indicates whether there are more traffic policies to be
listed. If the response was truncated, you can get the next group of
traffic policies by submitting another ListTrafficPolicyVersions
request and specifying the value of NextMarker in the marker
parameter.
6027 6028 6029 6030 6031 6032 6033 6034 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 6027 class ListTrafficPolicyVersionsResponse < Struct.new( :traffic_policies, :is_truncated, :traffic_policy_version_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#max_items ⇒ Integer
The value that you specified for the maxitems parameter in the
ListTrafficPolicyVersions request that produced the current
response.
6027 6028 6029 6030 6031 6032 6033 6034 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 6027 class ListTrafficPolicyVersionsResponse < Struct.new( :traffic_policies, :is_truncated, :traffic_policy_version_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#traffic_policies ⇒ Array<Types::TrafficPolicy>
A list that contains one TrafficPolicy element for each traffic
policy version that is associated with the specified traffic policy.
6027 6028 6029 6030 6031 6032 6033 6034 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 6027 class ListTrafficPolicyVersionsResponse < Struct.new( :traffic_policies, :is_truncated, :traffic_policy_version_marker, :max_items) SENSITIVE = [] include Aws::Structure end |
#traffic_policy_version_marker ⇒ String
If IsTruncated is true, the value of
TrafficPolicyVersionMarker identifies the first traffic policy
that Amazon Route 53 will return if you submit another request. Call
ListTrafficPolicyVersions again and specify the value of
TrafficPolicyVersionMarker in the TrafficPolicyVersionMarker
request parameter.
This element is present only if IsTruncated is true.
6027 6028 6029 6030 6031 6032 6033 6034 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 6027 class ListTrafficPolicyVersionsResponse < Struct.new( :traffic_policies, :is_truncated, :traffic_policy_version_marker, :max_items) SENSITIVE = [] include Aws::Structure end |